RK-J - Task #3143
Task # 3126 (Closed): Handle OpenAl API error codes

FE-0.94.5: Handle 500 error code from the /answer api in '/chatgptplus’ page.
07/24/2023 06:26 AM - Ayush Khandelwal

Status: Closed Start date: 07/24/2023
Priority: Immediate Due date: 07/24/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

History

#1 - 07/24/2023 08:08 AM - Rishabh Rai
- Status changed from New to In Progress

- % Done changed from 0 to 100

#2 - 07/24/2023 08:08 AM - Rishabh Rai

- Status changed from In Progress to Resolved

#3 - 07/24/2023 09:18 AM - Ayush Khandelwal
- Status changed from Resolved to Reopened

- % Done changed from 100 to 50

#4 - 07/24/2023 09:19 AM - Rishabh Rai

- Status changed from Reopened to In Progress

#5 - 07/24/2023 12:21 PM - Rishabh Rai

- Status changed from In Progress to Resolved

#6 - 07/24/2023 12:21 PM - Rishabh Rai

- Status changed from Resolved to Review

- Assignee changed from Rishabh Rai to Ayush Khandelwal
- % Done changed from 50 to 100

#7 - 07/26/2023 11:39 AM - Ayush Khandelwal
- Status changed from Review to Feedback

- Assignee changed from Ayush Khandelwal to Rishabh Rai

#8 - 07/27/2023 09:15 AM - Ram Kordale

- Priority changed from Urgent to Immediate

#9 - 07/27/2023 07:35 PM - Ayush Khandelwal
- Status changed from Feedback to Reopened
- % Done changed from 100 to 50

Steps to reproduce the bug:

1. Go to QA chatgptplus page i.e.
https://edutestqa.appspot.com/chatgptplus ?url=https:%2F %2Fwww.youtube.com%2Fwatch%3Fv%3D8c6 GRDxabHQ

2. Search for any term in case of 500 error from the backend for the '/answer' api.

3. On pressing enter, it is redirecting to the /home' page which is a bug. It should show the 500 error message which is coming from the backend
in the response.
#10 - 07/28/2023 04:09 AM - Rishabh Rai

- Status changed from Reopened to In Progress

#11 - 07/28/2023 04:09 AM - Rishabh Rai
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#12 - 07/28/2023 04:09 AM - Rishabh Rai
- Status changed from Resolved to Review

- Assignee changed from Rishabh Rai to Ayush Khandelwal

#13 - 07/28/2023 02:18 PM - Ayush Khandelwal

- Status changed from Review to Closed

Working as expected
